Loading...
Searching...
No Matches
EST_TItem< T > Class Template Reference
Inheritance diagram for EST_TItem< T >:
[legend]
Collaboration diagram for EST_TItem< T >:
[legend]

## Public Member Functions

| EST_TItem (const T &v)
Public Member Functions inherited from EST_UItem
void | init ()
EST_UItem * | next ()
EST_UItem * | prev ()

## Public Attributes

T | val
Public Attributes inherited from EST_UItem
EST_UItem * | n
EST_UItem * | p

## Static Protected Member Functions

static EST_TItem * | make (const T &val)
static void | release (EST_TItem< T > *it)

## Friends

class | EST_TList< T >

## Detailed Description

template<class T>
class EST_TItem< T >

Definition at line 61 of file EST_TList.h.

## Constructor & Destructor Documentation

## EST_TItem() [1/2]

template<class T>

EST_TItem< T >::EST_TItem | ( | const T & | v | ) |

inline

Definition at line 85 of file EST_TList.h.

## EST_TItem() [2/2]

template<class T>

EST_TItem< T >::EST_TItem | ( |  | ) |

inline

Definition at line 87 of file EST_TList.h.

## Member Function Documentation

## make()

template<class T>

EST_TItem< T > * EST_TItem< T >::make | ( | const T & | val | ) |

static protected

Definition at line 45 of file EST_TList.cc.

## release()

template<class T>

void EST_TItem< T >::release | ( | EST_TItem< T > * | it | ) |

static protected

Definition at line 63 of file EST_TList.cc.

## Friends And Related Symbol Documentation

## EST_TList< T >

template<class T>

friend class EST_TList< T >

friend

Definition at line 78 of file EST_TList.h.

## Member Data Documentation

## val

template<class T>

T EST_TItem< T >::val

Definition at line 83 of file EST_TList.h.

The documentation for this class was generated from the following files:

- include/EST_TList.h
- base_class/EST_TList.cc